#!/bin/sh
#
#   update_podcast.sh: generate podcast feed using pypodcaster and rsync
#   See https://gitlab.com/mantlepro/pypodcaster for more details.
#
#   INSTRUCTIONS
#   ============
#
#   1) Set variables LOCAL_PODCAST_DIR, USERNAME, REMOTE_SERVER, etc. to match
#   your environment
#
#   2) Place script in your $PATH or run /path/to/update_podcast.sh
#
#   3) Automate using example cron job:
#
#      $ crontab -e
#          # update podcast every 30 minutes
#          */30 * * * *  ~/Dropbox/Podcast/upload_podcast.sh


LOCAL_PODCAST_DIR="/podcast" # no trailing slash
USERNAME="username"
REMOTE_SERVER="hostname_or_ip_address"
REMOTE_PODCAST_DIR="/var/www/html/podcast" # no trailing slash

/usr/local/bin/pypodcaster ${LOCAL_PODCAST_DIR} > ${LOCAL_PODCAST_DIR}/index.xml
rsync -a --del "${LOCAL_PODCAST_DIR}/" "${USERNAME}@${REMOTE_SERVER}:${REMOTE_PODCAST_DIR}"
